### Type parameters

- #### T

### Hierarchy

- ClientResponse
  - BlobClientResponse
  - JsonClientResponse
  - TextClientResponse
  - VoidClientResponse
  - ReadableStreamClientResponse

## Index

### Constructors

- constructor

### Properties

- statusCode
- value

## Constructors

### constructor

- new ClientResponse(value: T, statusCode: number): ClientResponse

- - Defined in client/ClientResponse.ts:1

  #### Parameters

  - ##### value: T

  - ##### statusCode: number

  #### Returns ClientResponse

## Properties

### statusCode

statusCode: number

- Defined in client/ClientResponse.ts:2

### value

value: T

- Defined in client/ClientResponse.ts:2

Generated using TypeDoc